Skip to main content

Billable Usage Download

View as Markdown

Configure different aspects of Databricks billing and usage.

Return billable usage logs GA​

GET /api/2.0/accounts/{account_id}/usage/download

Returns billable usage logs in CSV format for the specified account and date range.

Note that this method might take multiple minutes to complete.

Warning: Depending on the queried date range, the number of workspaces in the account, the size of the response and the internet speed of the caller, this API may hit a timeout after a few minutes. If you experience this, try to mitigate by calling the API with narrower date ranges.

API scopes: billing

AWS

Returns billable usage logs in CSV format for the specified account and date range. For the data schema, see CSV file schema.

Note that this method might take multiple minutes to complete.

Warning: Depending on the queried date range, the number of workspaces in the account, the size of the response and the internet speed of the caller, this API may hit a timeout after a few minutes. If you experience this, try to mitigate by calling the API with narrower date ranges.

Parameters​

account_idstringuuidRequiredpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

start_monthstring2[0-9][0-9][0-9]-(0[1-9]|1[012])Requiredquery

Format specification for month in the format YYYY-MM. This is used to specify billable usage start_month and end_month properties. Note: Billable usage logs are unavailable before March 2019 (2019-03).

end_monthstring2[0-9][0-9][0-9]-(0[1-9]|1[012])Requiredquery

Format: YYYY-MM. Last month to return billable usage logs for. This field is required.

personal_databooleanquery

Specify whether to include personally identifiable information in the billable usage logs, for example the email addresses of cluster creators. Handle this information with care. Defaults to false.

Default: false

Response (text/plain)​

Returns binary.